List inventory items

View as Markdown

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Query parameters

PageintegerOptional0-2147483647
Page of inventory items to get
LimitintegerOptional1-250
Amount of inventory items per page to request
IsActivebooleanOptional
Whether the inventory should be active or not
IsDigitalbooleanOptional
Whether the inventory is digital or not
IDsstringOptional
Comma separated inventory ids to filter by
SortstringOptional

Sort will default to ascending order for each field. To sort in descending order please pass a ”-” in front of the field name. For example, Sort=-onHand,name will sort by onHand descending

SearchstringOptional
Search is available for 2 fields, Inventory ID and Name - 1. Expected behavior for search by Inventory ID is exact match 2. Expected behavior for search by Inventory Name is partial match, i.e. does not have to be start of word, but must be consecutive characters. This is not case sensitive.
LocationTypestringOptional
LocationType is valid for hub, spoke, or lts. LocationType will default to all locations.

Response

Success
dimensionsobject or null
Information about an inventory item's dimensions
fulfillable_quantity_by_fulfillment_centerlist of objects or null
Fulfillable quantity of this inventory item broken down by fulfillment center location
fulfillable_quantity_by_lotlist of objects or null
Fulfillable quantity of this inventory item broken down by lot
idinteger or null
Unique id of the inventory item
is_activeboolean or null
Whether the inventory is active or not
is_case_pickboolean or null
True if the inventory item is marked as case pick
is_digitalboolean or null
True if the inventory item is marked as a digital item
is_lotboolean or null
True if this inventory item is organized into lots
namestring or null
Name of the inventory item
packaging_attributeenum or null
total_awaiting_quantityinteger or null
Total quantity in unreceived receiving orders for this inventory item
total_backordered_quantityinteger or null

The amount of the item you need to send to ShipBob to fulfill all exception orders containing the item. This is the exception_quantity less the fulfillable_quantity of the item.

total_committed_quantityinteger or null
Total committed quantity of this inventory item
total_exception_quantityinteger or null

The total quantity of all items that are contained within orders that are in exception/out of stock status. Out of stock orders have not been processed and therefore do not have lot or fulfillment centers assigned.

total_fulfillable_quantityinteger or null
Total fulfillable quantity of this inventory item
total_internal_transfer_quantityinteger or null
The total quantity of all items that are in the process of internal transit between ShipBob fulfillment centers. These items are not pickable or fulfillable until they have been received and moved to the "On Hand" quantity of the destination FC. Internal transit quantities for each FC represent the incoming transfer stock for that specific location.
total_onhand_quantityinteger or null
Total onhand quantity of this inventory item
total_sellable_quantityinteger or null
Total quantity that can be sold without overselling the inventory item. This is calculated by subtracting the total exception quantity from the fulfillable quantity.

Errors